%define name		batik
%define full_name	xml-%{name}
%define version		1.1.1
%define release		4jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Scalable Vector Graphics for Java
License:	Apache License
Url:		http://xml.apache.org/%{name}
Group:		Multimedia/Graphics
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-src-%{version}.zip
Source1:	%{name}.svgbrowser.script.bz2
Source2:	%{name}.svgpp.script.bz2
Source3:	%{name}.ttf2svg.script.bz2
Source4:	%{name}.rasterizer.script.bz2
Source5:	%{name}.slideshow.script.bz2
Requires:	rhino
BuildRequires:	ant
BuildRequires:	rhino
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Batik is a Java(tm) technology based toolkit for applications that want
to use images in the Scalable Vector Graphics (SVG) format for various
purposes, such as viewing, generation or manipulation.
The project's ambition is to give developers a set of core modules
which can be used together or individually to support specific SVG
solutions. Example modules are, SVG parsers, SVG generators and SVG DOM
implementations. Another ambition for the Batik project is to make it
highly extensible (for example, Batik allows the developer to handle
custom SVG tags). Even though the goal of the project is to provide a
set of core modules, one of the deliverables is a full fledged SVG
browser implementation which validates the various modules and their
inter-operability.

%package svgbrowser
Summary:	Batik SVG browser
Group:		Multimedia/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
Requires:	crimson

%description svgbrowser
Batik SVG browser.

%package svgpp
Summary:	Batik SVG pretty printer
Group:		Multimedia/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description svgpp
Batik SVG pretty printer.

%package ttf2svg
Summary:	Batik SVG font converter
Group:		Multimedia/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description ttf2svg
Batik SVG font converter

%package rasterizer
Summary:	Batik SVG rasterizer
Group:		Multimedia/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
Requires:	crimson

%description rasterizer
Batik SVG rasterizer.

%package slideshow
Summary:	Batik SVG slideshow
Group:		Multimedia/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils
Requires:	crimson

%description slideshow
Batik SVG slideshow.

%package monolithic
Summary:	All %{name} in one monolithic jar
Group:		Multimedia/Graphics

%description monolithic
All %{name} in one monolithic jar.

%package manual
Summary:	Manual for %{name}
Group:		Multimedia/Graphics
BuildRequires:	stylebook1.0b3
BuildRequires:	xerces-j1

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}
bzcat %{SOURCE1} > svgbrowser
bzcat %{SOURCE2} > svgpp
bzcat %{SOURCE3} > ttf2svg
bzcat %{SOURCE4} > rasterizer
bzcat %{SOURCE4} > slideshow
# fix files perms
chmod -R go=u-w *
# clean manifest files
for manifest in sources/*.mf; do
    perl -pi -e 's/^.*\.jar.*$//s' $manifest
done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/rhino.jar:\
%{javadir}/xalan-j2.jar:\
%{javadir}/xml-commons-apis.jar:\
%{javadir}/stylebook1.0b3.jar:\
%{javadir}/xerces-j1.jar
ant jars
ant libs-jar
ant javadoc
ant htmldoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}-%{version}/lib/%{name}-libs.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
install -d -m 755 $RPM_BUILD_ROOT%{javadir}/%{name}
install -m 644 %{name}-%{version}/%{name}-svgbrowser.jar $RPM_BUILD_ROOT%{javadir}/%{name}/svgbrowser-%{version}.jar
install -m 644 %{name}-%{version}/%{name}-svgpp.jar $RPM_BUILD_ROOT%{javadir}/%{name}/svgpp-%{version}.jar
install -m 644 %{name}-%{version}/%{name}-ttf2svg.jar $RPM_BUILD_ROOT%{javadir}/%{name}/ttf2svg-%{version}.jar
install -m 644 %{name}-%{version}/%{name}-rasterizer.jar $RPM_BUILD_ROOT%{javadir}/%{name}/rasterizer-%{version}.jar
install -m 644 %{name}-%{version}/%{name}-slideshow.jar $RPM_BUILD_ROOT%{javadir}/%{name}/slideshow-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-awt-util.jar $RPM_BUILD_ROOT%{javadir}/%{name}/awt-util-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-bridge.jar $RPM_BUILD_ROOT%{javadir}/%{name}/bridge-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-css.jar $RPM_BUILD_ROOT%{javadir}/%{name}/css-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-dom.jar $RPM_BUILD_ROOT%{javadir}/%{name}/dom-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-extension.jar $RPM_BUILD_ROOT%{javadir}/%{name}/extension-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-ext.jar $RPM_BUILD_ROOT%{javadir}/%{name}/ext-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-gui-util.jar $RPM_BUILD_ROOT%{javadir}/%{name}/gui-util-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-gvt.jar $RPM_BUILD_ROOT%{javadir}/%{name}/gvt-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-parser.jar $RPM_BUILD_ROOT%{javadir}/%{name}/parser-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-script.jar $RPM_BUILD_ROOT%{javadir}/%{name}/script-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-svg-dom.jar $RPM_BUILD_ROOT%{javadir}/%{name}/svg-dom-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-svggen.jar $RPM_BUILD_ROOT%{javadir}/%{name}/svggen-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-transcoder.jar $RPM_BUILD_ROOT%{javadir}/%{name}/transcoder-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-util.jar $RPM_BUILD_ROOT%{javadir}/%{name}/util-%{version}.jar
install -m 644 %{name}-%{version}/lib/%{name}-xml.jar $RPM_BUILD_ROOT%{javadir}/%{name}/xml-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# scripts
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 svgbrowser svgpp ttf2svg rasterizer slideshow $RPM_BUILD_ROOT%{_bindir}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr %{name}-%{version}/docs/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf %{name}-%{version}/docs/javadoc
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr contrib resources samples test-resources test-sources $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE MAINTAIN README
%dir %{javadir}/%{name}
%{javadir}/%{name}/awt-util-%{version}.jar
%{javadir}/%{name}/awt-util.jar
%{javadir}/%{name}/bridge-%{version}.jar
%{javadir}/%{name}/bridge.jar
%{javadir}/%{name}/css-%{version}.jar
%{javadir}/%{name}/css.jar
%{javadir}/%{name}/dom-%{version}.jar
%{javadir}/%{name}/dom.jar
%{javadir}/%{name}/extension-%{version}.jar
%{javadir}/%{name}/extension.jar
%{javadir}/%{name}/ext-%{version}.jar
%{javadir}/%{name}/ext.jar
%{javadir}/%{name}/gui-util-%{version}.jar
%{javadir}/%{name}/gui-util.jar
%{javadir}/%{name}/gvt-%{version}.jar
%{javadir}/%{name}/gvt.jar
%{javadir}/%{name}/parser-%{version}.jar
%{javadir}/%{name}/parser.jar
%{javadir}/%{name}/script-%{version}.jar
%{javadir}/%{name}/script.jar
%{javadir}/%{name}/svg-dom-%{version}.jar
%{javadir}/%{name}/svg-dom.jar
%{javadir}/%{name}/svggen-%{version}.jar
%{javadir}/%{name}/svggen.jar
%{javadir}/%{name}/transcoder-%{version}.jar
%{javadir}/%{name}/transcoder.jar
%{javadir}/%{name}/util-%{version}.jar
%{javadir}/%{name}/util.jar
%{javadir}/%{name}/xml-%{version}.jar
%{javadir}/%{name}/xml.jar

%files monolithic
%defattr(-,root,root)
%{javadir}/%{name}-%{version}.jar
%{javadir}/%{name}.jar

%files svgbrowser
%defattr(-,root,root)
%{_bindir}/svgbrowser
%{javadir}/%{name}/svgbrowser-%{version}.jar
%{javadir}/%{name}/svgbrowser.jar

%files svgpp
%defattr(-,root,root)
%{_bindir}/svgpp
%{javadir}/%{name}/svgpp-%{version}.jar
%{javadir}/%{name}/svgpp.jar

%files ttf2svg
%defattr(-,root,root)
%{_bindir}/ttf2svg
%{javadir}/%{name}/ttf2svg-%{version}.jar
%{javadir}/%{name}/ttf2svg.jar

%files rasterizer
%defattr(-,root,root)
%{_bindir}/rasterizer
%{javadir}/%{name}/rasterizer-%{version}.jar
%{javadir}/%{name}/rasterizer.jar

%files slideshow
%defattr(-,root,root)
%{_bindir}/slideshow
%{javadir}/%{name}/slideshow-%{version}.jar
%{javadir}/%{name}/slideshow.jar

%files manual
%defattr(-,root,root)
%doc %{name}-%{version}/docs/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-4jpp
- vendor, distribution, group tags
- scripts use system prefs
- scripts source user prefs before configuration

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-3jpp 
- libs package is now monolithic package

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-2jpp 
- adaptation to new stylebook1.0b3 package

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-1jpp
- 1.1.1 
- additional sources in individual archives
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- versioned dir for javadoc
- explicitely set xalan-j2.jar and xml-commons-api.jar in classpath
- splitted applications in distinct packages

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-0.rc4.3jpp
- javadoc into javadoc package
- new launch scripts using functions library
- Requires jpackage-utils
- added %{name}-slideshow.jar
- main jar renamed %{name}.jar

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc4.2jpp
- fixed previous changelog
- changed extension --> jpp

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc4.1jpp
- rc4

* Sat Nov 17 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc3.2jpp
- added batik-libs creation

* Thu Nov 9 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-0.rc3.1jpp
- changed version to 0.rc3.1

* Mon Nov 5 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1rc3-1jpp
- 1.1rc3

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- first unified release
- removed xalan-j2 from classpath as it is autoloaded by stylebook-1.0b3
- used original tarball
- s/jPackage/JPackage

* Mon Sep 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3mdk
- provided *working* startup scripts

* Sat Sep 15 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2mdk
- requires specificaly crimson
- only manual buildrequires stylebook-1.0b3 and xerces-j1
- dropped xalan-j2 buildrequires as stylebook-1.0b3 needs it already
- changed samples package name to demo
- moved demo files to %{_datadir}/%{name}
- provided startup scripts

* Thu Aug 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- first Mandrake release
